Subject: Re: [PATCH net-next v5] net: sfp: extend SMBus support

From: Jonas Jelonek <[email-masked]>
Date: Thu, 22 Jan 2026 11:14:03 +0100

Hi Andrew,

On 18.01.26 16:39, Andrew Lunn wrote:
> On Sun, Jan 18, 2026 at 10:43:12AM +0100, Jonas Jelonek wrote:
>> Hi,
>>
>> On 16.01.26 15:25, Andrew Lunn wrote:
>>>> But let's first figure-out if word-only smbus are really a thing
>>> Some grep foo on /drivers/i2c/busses might answer that.
>> Did that and haven't found any driver in mainline which is word-only.
>> All drivers with word access capability have byte access too.
> So for the moment, maybe add a WARN_ON() for an I2C bus that only
> supports word access, and we can deal with it only if we ever get a
> report of it firing.

Should it just have a WARN_ON and continue (so it may work in some cases)
or fail at that point? 

Kind regards,
Jonas